---
# tasks file for syetem_manager
- name: manage softwares that needs to be installed
  package:
    name: "{{ software }}"
    state: present
  notify:
  - Restart: Restart packages

# tasks files for manage user's
- name: manage users
  user:
    name: "{{ item.name }}"
    uid: "{{ item.uid }}"
    groups: "{{ item.groups }}"
    state: present
  with_items: "{{ user_details }}"

# manage various git repository
- name: manage git repository
  git:
   repo: https://{{ git_user }}:{{ git_password }}@{{ git_repo }}
   dest: "{{ git_dest }}"
   clone: yes
     
     
# Folder structure
- name: directory structures
  file:
   path: "{{ item }}"
   state: directory
  with_items:
   - "/home/{{ dir }}"
   - "/home/{{ dir }}/{{ dir1 }}"
   - "/home/{{ dir }}/{{ dir2 }}"
   - "/home/{{ dir }}/{{ dir3 }}"